Subject: Re: [Xen-devel] printk from softirq on xen: hard lockup

From: David Vrabel <[email-masked]>
Date: Thu, 6 Aug 2015 11:02:47 +0100

On 05/08/15 00:01, Jason A. Donenfeld wrote:
> Hey David,
> 
> Sorry for the premature response on my phone earlier. Real reply follows.
>>> rcu_read_lock, when using Xen PV. Relevant excerpts of the
>>                                 ^^  PV guest?
> 
> Yes. The lockup occurs on a PV guest. Nothing special at all about the
> configuration. Vanilla upstream 4.1.3 kernel.
> 
>>> __xapic_wait_icr_idle () at ./arch/x86/include/asm/ipi.h:56
>>> 56              while (native_apic_mem_read(APIC_ICR) & APIC_ICR_BUSY)
>>                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^  => HVM guest
>>
>> Which is it?
> 
> That's odd. It's a PV guest, not an HVM nor PVH guest.

Linux PV guests must use the "Xen PV" APIC driver.  You need to
investigate why your PV guest is not using this (although I'm surprised
it works at all with the wrong one).

David